Subject: Re: issue with cost-based formulation of extended P-space in draft-ietf-rtgwg-remote-lfa-02

From: Stewart Bryant <[email-masked]>
Date: Mon, 28 Oct 2013 14:47:53 +0000

I think that the new text is correct:

In cost terms a router (P) is in extended P-space if the shortest path 
cost N->P is strictly less than the shortest path cost N->S->E->P. In 
other words, once the packet it forced to N by S, it is lower cost for 
it to continue on to P by any path except one that takes it back to S 
and then across the S->E link.

As far as I can see this works for case 1 and case 2 below since the 
only case where 1 applies is when N == Y, but that comes out in the wash 
since D_opt(N,Y) == 0

I prefer not to include the D-opt notation at this stage of the text 
unless we have to. There is a full set of cost based pseudocode in 4.2.3 
which defines the D_opt term.

- Stewart

On 30/07/2013 13:08, Chris Bowers wrote:
> It appears that the cost-based formulation for determining the 
> extended P-space in draft-ietf-rtgwg-remote-lfa-02 is incorrect. In 
> particular, section 4.2.2 says:
> “In cost terms a router is in extended P-space if the shortest path 
> cost S-N->P is strictly less than the shortest path cost S-E->P.”
> Instead, the requirement should be that the shortest path cost N->P is 
> strictly less than cost N-S-E->P.
> I propose the following text for section 4.2.2.
> “In terms of cost, a router Y is in the extended P-space of S with 
> respect to the failure of link S-E, if either of the two following 
> conditions is true:
> (1) D_opt(S,Y) < D_opt(S,E) + D_opt(E,Y)
> OR
> (2) S has a neighbor N satisfying the inequality:
> D_opt(N,Y) < D_opt(N,S) + D_opt(S,E) + D_opt(E,Y)”
> This text corrects the error noted above, and it puts both of the 
> criteria for determining extended P-space in terms of cost in one 
> place in the text.
> Chris
>
>
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html